Get bill payments history
curl --request GET \
--url https://api.flutterwave.com/v3/bills/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/bills/history"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/bills/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Bill history fetched successfully",
"meta": {
"page_info": {
"total": 173,
"total_pages": 9,
"current_page": 1
}
},
"data": [
{
"id": 5513725,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "10.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "10.00",
"transaction_date": "2024-03-24T09:15:57.487Z",
"tx_id": 5513725,
"customer_reference": "d7a004b1-a581-4cd9-89ae-a1f0934019",
"country": "NG",
"flw_ref": "247819983666",
"tx_ref": "CF-FLYAPI-20240324091557857302",
"batch_id": 3408744,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment",
"status": "Successful"
},
{
"id": 5513723,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "100.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "10.00",
"transaction_date": "2024-03-24T09:15:21.373Z",
"tx_id": 5513723,
"customer_reference": "d7a004b1-a581-4cd9-89ae-a1f093401",
"country": "NG",
"flw_ref": "247853654882",
"tx_ref": "CF-FLYAPI-20240324091521583423",
"batch_id": 3408741,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment",
"status": "Successful"
},
{
"id": 5513721,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "1800.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "10.00",
"transaction_date": "2024-03-24T09:14:13.373Z",
"tx_id": 5513721,
"customer_reference": "d7a004b1-a581-4cd9-89ae-a1f093400",
"country": "NG",
"flw_ref": "247837898415",
"tx_ref": "CF-FLYAPI-20240324091413750321",
"batch_id": 3408739,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment",
"status": "Successful"
},
{
"id": 5496445,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "100.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-03-12T14:29:03.963Z",
"tx_id": 5496445,
"customer_reference": "ubdbfdyujufbdbuj4599606",
"country": "NG",
"flw_ref": "BP17102537459058728",
"tx_ref": "CF-FLYAPI-20240312022903413856",
"batch_id": 3390053,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Successful"
},
{
"id": 5496443,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "100.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-03-12T14:28:25.933Z",
"tx_id": 5496443,
"customer_reference": "ubdbfdyujufbdbuj459606",
"country": "NG",
"flw_ref": "BP17102537078371066",
"tx_ref": "CF-FLYAPI-20240312022825933153",
"batch_id": 3390050,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Successful"
},
{
"id": 5496442,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-03-12T14:28:10.983Z",
"tx_id": 5496442,
"customer_reference": "ubdbfdyujufbdbuj45966",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240312022808502255",
"tx_ref": "RRCF-FLYAPI-20240312022808439291",
"batch_id": 3390048,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Reversed"
},
{
"id": 5496441,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-03-12T14:28:08.487Z",
"tx_id": 5496441,
"customer_reference": "ubdbfdyujufbdbuj45966",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240312022808502255",
"tx_ref": "CF-FLYAPI-20240312022808439291",
"batch_id": 3390048,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Failed"
},
{
"id": 5455976,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-26T16:01:03.65Z",
"tx_id": 5455976,
"customer_reference": "ubdbfdyujufbdbuj4596",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240226040101634429",
"tx_ref": "RRCF-FLYAPI-20240226040101271434",
"batch_id": 3347756,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Reversed"
},
{
"id": 5455975,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-26T16:01:01.547Z",
"tx_id": 5455975,
"customer_reference": "ubdbfdyujufbdbuj4596",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240226040101634429",
"tx_ref": "CF-FLYAPI-20240226040101271434",
"batch_id": 3347756,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Failed"
},
{
"id": 5455198,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "1800.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Access",
"product_name": "DSTV Access",
"commission": "10.00",
"transaction_date": "2024-02-25T13:14:48.607Z",
"tx_id": 5455198,
"customer_reference": "930001343294dd029842029152269594939QLc",
"country": "NG",
"flw_ref": "247890707841",
"tx_ref": "CF-FLYAPI-20240225011448737576",
"batch_id": 3346681,
"extra": null,
"product_details": "FLY-API-NG-DSTV Access",
"status": "Successful"
},
{
"id": 5455148,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "1800.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Access",
"product_name": "DSTV Access",
"commission": "10.00",
"transaction_date": "2024-02-25T12:42:20.957Z",
"tx_id": 5455148,
"customer_reference": "930001343294dd029842029152269594939QLX",
"country": "NG",
"flw_ref": "247832798014",
"tx_ref": "CF-FLYAPI-20240225124220515145",
"batch_id": 3346628,
"extra": null,
"product_details": "FLY-API-NG-DSTV Access",
"status": "Successful"
},
{
"id": 5454891,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "100.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "10.00",
"transaction_date": "2024-02-24T22:56:02.1Z",
"tx_id": 5454891,
"customer_reference": "93000134832984009929e152269590974093669QLW78779",
"country": "NG",
"flw_ref": "247889403828",
"tx_ref": "CF-FLYAPI-20240224105602334736",
"batch_id": 3346218,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment-",
"status": "Successful"
},
{
"id": 5454802,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "100.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-24T21:36:59.257Z",
"tx_id": 5454802,
"customer_reference": "ubdbfdyujufbdbuj459",
"country": "NG",
"flw_ref": "BP17088106212473913",
"tx_ref": "CF-FLYAPI-20240224093659138480",
"batch_id": 3346113,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Successful"
},
{
"id": 5454799,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "100.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "10.00",
"transaction_date": "2024-02-24T21:29:48.517Z",
"tx_id": 5454799,
"customer_reference": "9300013483294009929e152269590974093669QLW78779",
"country": "NG",
"flw_ref": "247874110665",
"tx_ref": "CF-FLYAPI-20240224092948984630",
"batch_id": 3346109,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment-",
"status": "Successful"
},
{
"id": 5454718,
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "100.00",
"category": "Cable Bill Payment",
"recurring_payment_id": null,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": "0.00",
"transaction_date": "2024-02-24T20:45:34.467Z",
"tx_id": 5454718,
"customer_reference": "9300013483294009929e15226959974093669QLW78779",
"country": "NG",
"flw_ref": "247803305223",
"tx_ref": "CF-FLYAPI-20240224084534325983",
"batch_id": 3346023,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment-",
"status": "Successful"
},
{
"id": 5454716,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "100.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-24T20:40:35.517Z",
"tx_id": 5454716,
"customer_reference": "ubdbfdyujufbdbuj45",
"country": "NG",
"flw_ref": "BP17088072372245421",
"tx_ref": "CF-FLYAPI-20240224084035883973",
"batch_id": 3346020,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Successful"
},
{
"id": 5454715,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-24T20:37:55.987Z",
"tx_id": 5454715,
"customer_reference": "TREF-1708807072128",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240224083756520515",
"tx_ref": "CF-FLYAPI-20240224083755938106",
"batch_id": 3346018,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Pending"
},
{
"id": 5454714,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-24T20:36:07.58Z",
"tx_id": 5454714,
"customer_reference": "TREF-1708806963914",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240224083607814318",
"tx_ref": "CF-FLYAPI-20240224083607354390",
"batch_id": 3346017,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Pending"
},
{
"id": 5453506,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "50.00",
"category": "Internet Service",
"recurring_payment_id": null,
"product": "MTN Hynet Payment",
"product_name": "MTN Hynet Payment",
"commission": "0.00",
"transaction_date": "2024-02-23T11:38:49.257Z",
"tx_id": 5453506,
"customer_reference": "TREF-1708688326233",
"country": "NG",
"flw_ref": "CF-FLY-AIR-PREF-20240223113849392237",
"tx_ref": "CF-FLYAPI-20240223113849309445",
"batch_id": 3344450,
"extra": null,
"product_details": "FLY-API-NG-MTN Hynet Payment",
"status": "Pending"
},
{
"id": 5453105,
"currency": "NGN",
"customer_id": "07034262571",
"frequency": "One Time",
"amount": "100.00",
"category": "Mobile Data Service",
"recurring_payment_id": null,
"product": "MTN 50 MB",
"product_name": "MTN 50 MB",
"commission": "0.00",
"transaction_date": "2024-02-22T18:22:37.587Z",
"tx_id": 5453105,
"customer_reference": "TREF-1708626155290",
"country": "NG",
"flw_ref": "BP17086261601217338",
"tx_ref": "CF-FLYAPI-20240222062237455821",
"batch_id": 3343882,
"extra": null,
"product_details": "FLY-API-NG-MTN 50 MB",
"status": "Successful"
}
]
}Bill Payments
Get bill payments history
Fetch detailed bill payment history
GET
/
bills
/
history
Get bill payments history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Was this page helpful?
⌘I